Returns the error function used during training

- « fann_get_total_neurons

- fann_get_train_stop_function »

- PHP Manual
- Fann Functions
- Returns the error function used during training

# fann_get_train_error_function

(PECL fann >= 1.0.0)

fann_get_train_error_function — Returns the error function used during training

### Description

fann_get_train_error_function(resource `$ann`): int

Returns the error function used during training.

The error functions are described further in error functions constants.

The default error function is `FANN_ERRORFUNC_TANH`.

### Parameters

`ann`

  Neural network resource.

### Return Values

The error function constant, or `false` on error.

### See Also

- fann_set_train_error_function() - Sets the error function used during training